import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      houselist: {},
    },
    mutations: {
      updateTypeList(state, houselist) {
        state.houselist = houselist
      }
    },
    actions: {
      getTypeList({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('typelist.gettypelist', { buildingid: params.buildingid }) }).then((data) => {
            commit('updateTypeList', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }